Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gecco.server.core
Class ReferenceHolder

    java.lang.Object
      gecco.server.core.ReferenceHolder

public class ReferenceHolder
extends Object

This class holds references to all important modules of the server. The modules can then get references to the other modules via this class.

Author:
  Henrik Bäärnhielm, Karl Hasselström, Henrik Hägerström.

Field Summary
`static PrintWriter` | `debug` Debug output
`static PrintWriter` | `err` Standard error output
`static BufferedReader` | `in` Standard input
`static PrintWriter` | `log` Log output
`static PrintWriter` | `out` Standard output
`static ObjectOutputStream` | `replayLog`
`static boolean` | `replayMode`

Constructor Summary
`ReferenceHolder()`

Method Summary
`static ActionProcessor` | `getActionProcessor()` Gets the ActionProcessor attribute of the ReferenceHolder class
`static AutomatonMap` | `getAutomatonMap()` Gets the AutomatonMap attribute of the ReferenceHolder class
`static Client` | `getClient()`
`static Clock` | `getClock()` Gets the game clock.
`static Server` | `getComServer()` Gets the ComServer attribute of the ReferenceHolder class
`static String` | `getDefaultReplayLogName()`
`static ClassLoader` | `getGameClassLoader()` Gets the GameClassLoader attribute of the ReferenceHolder class
`static String` | `getGameDescription()` Gets a short description of the game.
`static String` | `getGameName()` Gets the name of the game.
`static QManager` | `getQManager()` Gets the QManager attribute of the ReferenceHolder class
`static Referee` | `getReferee()` Gets the Referee of the game.
`static ObjectOutputStream` | `getReplayLog()`
`static TimeString` | `getTimeString()` Gets the time string factory.
`static UnitManager` | `getUnitManager()` Gets the UnitManager attribute of the ReferenceHolder class
`static VisibilityFilter` | `getVisibilityFilter()` Gets the visibility filter.
`static VisibilityInfo` | `getVisibilityInfo()` Gets the visibility info object.
`static boolean` | `inReplayMode()`
`static void` | `setActionProcessor(ActionProcessor _actionProcessor)` Sets the ActionProcessor attribute of the ReferenceHolder class
`static void` | `setAutomatonMap(AutomatonMap map)` Sets the AutomatonMap attribute of the ReferenceHolder class
`static void` | `setClient(Client argClient)` added by hs Sets the Client, primary for use by DKEReferee
`static void` | `setClock(Clock clock)` Sets the clock.
`static void` | `setComServer(Server _comServer)` Sets the ComServer attribute of the ReferenceHolder class
`static void` | `setGameClassLoader(ClassLoader loader)` Sets the GameClassLoader attribute of the ReferenceHolder class
`static void` | `setGameDescription(String desc)` Sets the description of the game.
`static void` | `setGameName(String name)` Sets the name of the game.
`static void` | `setQManager(QManager _qManager)` Sets the QManager attribute of the ReferenceHolder class
`static void` | `setReferee(Referee argReferee)` added by hs Sets the Referee of a game
`static void` | `setTimeString(TimeString timeString)` Supplies an object that constructs strings representing time.
`static void` | `setUnitManager(UnitManager _unitManager)` Sets the UnitManager attribute of the ReferenceHolder class
`static void` | `setVisibilityFilter(VisibilityFilter filter)` Sets the visibility filter.
`static void` | `setVisibilityInfo(VisibilityInfo info)` Sets the visibility info object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### in

    public static BufferedReader in

  Standard input

### out

    public static PrintWriter out

  Standard output

### log

    public static PrintWriter log

  Log output

### debug

    public static PrintWriter debug

  Debug output

### err

    public static PrintWriter err

  Standard error output

### replayLog

    public static ObjectOutputStream replayLog

### replayMode

    public static boolean replayMode

Constructor Detail

### ReferenceHolder

    public ReferenceHolder()

Method Detail

### setAutomatonMap

    public static void setAutomatonMap(AutomatonMap map)

  Sets the AutomatonMap attribute of the ReferenceHolder class

  Parameters:
    `map` - The new AutomatonMap value

### setActionProcessor

    public static void setActionProcessor(ActionProcessor _actionProcessor)

  Sets the ActionProcessor attribute of the ReferenceHolder class

  Parameters:
    `_actionProcessor` - The new ActionProcessor value

### setUnitManager

    public static void setUnitManager(UnitManager _unitManager)

  Sets the UnitManager attribute of the ReferenceHolder class

  Parameters:
    `_unitManager` - The new UnitManager value

### setQManager

    public static void setQManager(QManager _qManager)

  Sets the QManager attribute of the ReferenceHolder class

  Parameters:
    `_qManager` - The new QManager value

### setComServer

    public static void setComServer(Server _comServer)

  Sets the ComServer attribute of the ReferenceHolder class

  Parameters:
    `_comServer` - The new ComServer value

### setVisibilityFilter

    public static void setVisibilityFilter(VisibilityFilter filter)

  Sets the visibility filter.

  Parameters:
    `filter` - The new visibility filter.

### setVisibilityInfo

    public static void setVisibilityInfo(VisibilityInfo info)

  Sets the visibility info object.

### setClock

    public static void setClock(Clock clock)

  Sets the clock.

  Parameters:
    `clock` - The new game clock.

### setTimeString

    public static void setTimeString(TimeString timeString)

  Supplies an object that constructs strings representing time.

  Parameters:
    `timeString` - The new time string factory.

### setGameName

    public static void setGameName(String name)

  Sets the name of the game.

  Parameters:
    `name` - The new name.

### setGameDescription

    public static void setGameDescription(String desc)

  Sets the description of the game.

  Parameters:
    `desc` - The new description.

### setGameClassLoader

    public static void setGameClassLoader(ClassLoader loader)

  Sets the GameClassLoader attribute of the ReferenceHolder class

  Parameters:
    `loader` - The new GameClassLoader value

### setReferee

    public static void setReferee(Referee argReferee)

  added by hs Sets the Referee of a game

### setClient

    public static void setClient(Client argClient)

  added by hs Sets the Client, primary for use by DKEReferee

### getAutomatonMap

    public static AutomatonMap getAutomatonMap()

  Gets the AutomatonMap attribute of the ReferenceHolder class

  Returns:
    The AutomatonMap value

### getActionProcessor

    public static ActionProcessor getActionProcessor()

  Gets the ActionProcessor attribute of the ReferenceHolder class

  Returns:
    The ActionProcessor value

### getUnitManager

    public static UnitManager getUnitManager()

  Gets the UnitManager attribute of the ReferenceHolder class

  Returns:
    The UnitManager value

### getQManager

    public static QManager getQManager()

  Gets the QManager attribute of the ReferenceHolder class

  Returns:
    The QManager value

### getComServer

    public static Server getComServer()

  Gets the ComServer attribute of the ReferenceHolder class

  Returns:
    The ComServer value

### getVisibilityFilter

    public static VisibilityFilter getVisibilityFilter()

  Gets the visibility filter.

  Returns:
    The visibility filter.

### getVisibilityInfo

    public static VisibilityInfo getVisibilityInfo()

  Gets the visibility info object.

  Returns:
    The visibility info object.

### getGameClassLoader

    public static ClassLoader getGameClassLoader()

  Gets the GameClassLoader attribute of the ReferenceHolder class

  Returns:
    The GameClassLoader value

### getClock

    public static Clock getClock()

  Gets the game clock.

  Returns:
    The game clock.

### getTimeString

    public static TimeString getTimeString()

  Gets the time string factory.

  Returns:
    The time string factory.

### getGameName

    public static String getGameName()

  Gets the name of the game.

  Returns:
    The name of the game.

### getGameDescription

    public static String getGameDescription()

  Gets a short description of the game.

  Returns:
    A short description of the game.

### getReferee

    public static Referee getReferee()

  Gets the Referee of the game.

  Returns:
    The Refereee of the game.

### getClient

    public static Client getClient()

### getReplayLog

    public static ObjectOutputStream getReplayLog()

### inReplayMode

    public static boolean inReplayMode()

### getDefaultReplayLogName

    public static String getDefaultReplayLogName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD